Skip to main content
POST
Cancel a recurring plan

Authorizations

Authorization
string
header
required

An access token from POST /oauth/token (your API key's id and secret). It lasts 10 minutes.

Path Parameters

id
string<uuid>
required

Body

application/json
reason
null | string
required

Response

OK

id
string<uuid>
required
merchantAccountId
string<uuid>
required
mid
string
required
locationName
null | string
required
description
string
required
reference
null | string
required
poNumber
null | string
required
amount
required
frequency
string
required
startDate
string<date>
required
totalPayments
required
paymentsMade
required
nextChargeDate
null | string<date>
required
terms
string
required
status
string
required
customerName
null | string
required
customerCompany
null | string
required
customerEmail
string
required
customerPhone
null | string
required
delivery
string
required
sentVia
null | string
required
sentAt
null | string<date-time>
required
sendProblem
null | string
required
memo
null | string
required
lines
required
cardLastFour
null | string
required
cardExpiry
null | string
required
authorizedAt
null | string<date-time>
required
authorizedByName
null | string
required
failedAttempts
required
problem
null | string
required
pausedAt
null | string<date-time>
required
pausedByName
null | string
required
cancelledAt
null | string<date-time>
required
cancelledBy
null | string
required
cancelledByName
null | string
required
cancelReason
null | string
required
createdAt
string<date-time>
required
createdByName
string
required
lineItems
null | object[]
charges
null | object[]